Index: pace/lib/cpp/include/__bits/common.hpp
===================================================================
--- uspace/lib/cpp/include/__bits/common.hpp	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ 	(revision )
@@ -1,41 +1,0 @@
-/*
- * Copyright (c) 2018 Jaroslav Jindrak
- * All rights reserved.
- *
- * Redistribution and use in source and binary forms, with or without
- * modification, are permitted provided that the following conditions
- * are met:
- *
- * - Redistributions of source code must retain the above copyright
- *   notice, this list of conditions and the following disclaimer.
- * - Redistributions in binary form must reproduce the above copyright
- *   notice, this list of conditions and the following disclaimer in the
- *   documentation and/or other materials provided with the distribution.
- * - The name of the author may not be used to endorse or promote products
- *   derived from this software without specific prior written permission.
- *
- * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
- * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
- * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
- * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT,
- * INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
- * NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
- * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
- * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
- * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
- * THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
- */
-
-#ifndef LIBCPP_BITS_COMMON
-#define LIBCPP_BITS_COMMON
-
-/**
- * According to section 17.2 of the standard,
- * the restrict qualifier shall be omitted.
- */
-#define restrict
-
-#undef NULL
-#define NULL nullptr
-
-#endif
Index: uspace/lib/cpp/include/__bits/thread/mutex.hpp
===================================================================
--- uspace/lib/cpp/include/__bits/thread/mutex.hpp	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/__bits/thread/mutex.hpp	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_BITS_THREAD_MUTEX
 
-#include <__bits/common.hpp>
 #include <__bits/thread/threading.hpp>
 #include <functional>
Index: uspace/lib/cpp/include/__bits/thread/thread.hpp
===================================================================
--- uspace/lib/cpp/include/__bits/thread/thread.hpp	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/__bits/thread/thread.hpp	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_BITS_THREAD
 
-#include <__bits/common.hpp>
 #include <__bits/thread/threading.hpp>
 #include <chrono>
Index: uspace/lib/cpp/include/cassert
===================================================================
--- uspace/lib/cpp/include/cassert	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/cassert	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CASSERT
 
-#include <__bits/common.hpp>
 
 namespace std::hel
Index: uspace/lib/cpp/include/cctype
===================================================================
--- uspace/lib/cpp/include/cctype	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/cctype	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CCTYPE
 
-#include <__bits/common.hpp>
 
 namespace std::hel
Index: uspace/lib/cpp/include/cerrno
===================================================================
--- uspace/lib/cpp/include/cerrno	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/cerrno	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CERRNO
 
-#include <__bits/common.hpp>
 
 namespace std::hel
Index: uspace/lib/cpp/include/cinttypes
===================================================================
--- uspace/lib/cpp/include/cinttypes	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/cinttypes	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CINTTYPES
 
-#include <__bits/common.hpp>
 
 namespace std::hel
Index: uspace/lib/cpp/include/climits
===================================================================
--- uspace/lib/cpp/include/climits	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/climits	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CLIMITS
 
-#include <__bits/common.hpp>
 
 namespace std::hel
Index: uspace/lib/cpp/include/csetjmp
===================================================================
--- uspace/lib/cpp/include/csetjmp	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/csetjmp	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CSETJMP
 
-#include <__bits/common.hpp>
 
 /**
Index: uspace/lib/cpp/include/cstdarg
===================================================================
--- uspace/lib/cpp/include/cstdarg	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/cstdarg	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CSTDARG
 
-#include <__bits/common.hpp>
 
 namespace std::hel
Index: uspace/lib/cpp/include/cstddef
===================================================================
--- uspace/lib/cpp/include/cstddef	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/cstddef	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CSTDDEF
 
-#include <__bits/common.hpp>
 
 namespace std::hel
Index: uspace/lib/cpp/include/cstdint
===================================================================
--- uspace/lib/cpp/include/cstdint	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/cstdint	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CSTDINT
 
-#include <__bits/common.hpp>
 
 namespace std::hel
Index: uspace/lib/cpp/include/cstdio
===================================================================
--- uspace/lib/cpp/include/cstdio	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/cstdio	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CSTDIO
 
-#include <__bits/common.hpp>
 
 namespace std::hel
Index: uspace/lib/cpp/include/cstdlib
===================================================================
--- uspace/lib/cpp/include/cstdlib	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/cstdlib	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CSTDLIB
 
-#include <__bits/common.hpp>
 
 namespace std::hel
Index: uspace/lib/cpp/include/cstring
===================================================================
--- uspace/lib/cpp/include/cstring	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/cstring	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CSTRING
 
-#include <__bits/common.hpp>
 
 namespace std::hel
Index: uspace/lib/cpp/include/ctime
===================================================================
--- uspace/lib/cpp/include/ctime	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/ctime	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_CTIME
 
-#include <__bits/common.hpp>
 
 namespace std::hel
Index: uspace/lib/cpp/include/cwchar
===================================================================
--- uspace/lib/cpp/include/cwchar	(revision 6480827d87f6c49bc55cc8cdc400b0c8cc1ffc0a)
+++ uspace/lib/cpp/include/cwchar	(revision b251af5abe66adbf5b601cda4d7ebbebe90926f8)
@@ -30,5 +30,4 @@
 #define LIBCPP_WCHAR
 
-#include <__bits/common.hpp>
 
 namespace std::hel
